> For the complete documentation index, see [llms.txt](https://docs.turbine.exchange/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.turbine.exchange/reference/contracts/solidity-documentation/settler/structs/struct.order.md).

# Order

[Git Source](https://github.com/propeller-heads/turbine/blob/90514973167f1eb25cb9eb7756354fb3de34824d/src/settler/structs/Order.sol)

**Title:** Order

A user's intent to trade tokens with price defined as a delta to the mid price.

```solidity
struct Order {
address owner;
address sellToken;
address buyToken;
uint256 sellAmount;
uint256 minBuyAmount;
uint32 maxGas;
uint32 startMidPriceDelta;
uint32 endMidPriceDelta;
uint32 startTime;
uint32 endTime;
uint64 createdTimestamp;
bool partialFill;
bytes callData;
address callDataTarget;
AllowanceParams allowanceParams;
bytes32 salt;
}
```

**Properties**

| Name                 | Type              | Description                                                                  |
| -------------------- | ----------------- | ---------------------------------------------------------------------------- |
| `owner`              | `address`         | The address that originally created the order and holds the sellToken amount |
| `sellToken`          | `address`         | The token to be sold                                                         |
| `buyToken`           | `address`         | The token to be bought                                                       |
| `sellAmount`         | `uint256`         | The amount of sellToken to be sold                                           |
| `minBuyAmount`       | `uint256`         | The minimum amount of buyToken to be bought                                  |
| `maxGas`             | `uint32`          | The maximum amount of gas to be used for the order                           |
| `startMidPriceDelta` | `uint32`          | The minimum delta to the mid price (units are basis points)                  |
| `endMidPriceDelta`   | `uint32`          | The maximum delta to the mid price (units are basis points)                  |
| `startTime`          | `uint32`          | The block timestamp at which the order became active                         |
| `endTime`            | `uint32`          | The block timestamp at which the order expires                               |
| `createdTimestamp`   | `uint64`          | The timestamp at which the order was added to the orderbook                  |
| `partialFill`        | `bool`            | Whether the order can be partially filled                                    |
| `callData`           | `bytes`           | The calldata for the order, allows for custom routing                        |
| `callDataTarget`     | `address`         |                                                                              |
| `allowanceParams`    | `AllowanceParams` | The permit signature and permit data for the order                           |
| `salt`               | `bytes32`         | Used to differentiate between orders with the same parameters                |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.turbine.exchange/reference/contracts/solidity-documentation/settler/structs/struct.order.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
